中危 netsurf-browser libnsgif 跨界内存写

CVE编号

CVE-2015-7505

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-02-19
漏洞描述
Libnsgif是一款使用C语言编写的GIF图像文件格式的解码库。

Libnsgif 0.1.2版本中的libnsgif.c文件的‘gif_next_LZW’函数存在缓冲区溢出漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:
http://www.netsurf-browser.org/projects/libnsgif/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 netsurf-browser libnsgif 0.1.2 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
3.2+dfsg-3
运行在以下环境
系统 debian_11 netsurf * Up to
(excluding)
3.2+dfsg-3
运行在以下环境
系统 debian_12 netsurf * Up to
(excluding)
3.2+dfsg-3
阿里云评分
6.8
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况